uuid: f80c93a7-7dc9-42e6-88f3-df51e9bae88b
langcode: en
status: true
dependencies:
  config:
    - search_api.server.content
    - core.entity_view_mode.node.search_index
    - core.entity_view_mode.profile_event.search_index
    - core.entity_view_mode.taxonomy_term.search_index
  module:
    - search_api
    - orlando_interface_ingestion
    - node
    - content_entity_builder
    - taxonomy
id: content_and_terms
name: 'Content and terms'
description: ''
read_only: false
field_settings:
  rendered_item:
    label: 'Rendered HTML output'
    property_path: rendered_item
    type: text
    configuration:
      roles:
        authenticated: authenticated
      view_mode:
        'entity:node':
          author_profile: search_index
        'entity:profile_event':
          profile_event: search_index
        'entity:taxonomy_term':
          organization: search_index
          person: search_index
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - author_profile
    languages:
      default: true
      selected: {  }
  'entity:profile_event': {  }
  'entity:taxonomy_term':
    bundles:
      default: false
      selected:
        - organization
        - person
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  html_filter:
    weights:
      preprocess_index: -15
      preprocess_query: -15
    all_fields: false
    fields:
      - rendered_item
    title: true
    alt: true
    tags:
      b: 2
      h1: 5
      h2: 3
      h3: 2
      strong: 2
  language_with_fallback: {  }
  oii_profile_event_filter: {  }
  rendered_item: {  }
  type_boost:
    weights:
      preprocess_index: 0
    boosts:
      'entity:node':
        datasource_boost: !!float 1
      'entity:profile_event':
        datasource_boost: !!float 1
      'entity:taxonomy_term':
        datasource_boost: !!float 1
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 2000
  index_directly: true
  track_changes_in_references: true
server: content
